com.thinkaurelius.titan.graphdb.schema

## Class PropertyKeyDefinition

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.schema.SchemaElementDefinition
  - - com.thinkaurelius.titan.graphdb.schema.RelationTypeDefinition
    - - com.thinkaurelius.titan.graphdb.schema.PropertyKeyDefinition

-     public class PropertyKeyDefinition
      extends RelationTypeDefinition

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyKeyDefinition(PropertyKey key)`
    `PropertyKeyDefinition(String name, long id, Cardinality cardinality, Class dataType)`
    `PropertyKeyDefinition(String name, long id, Multiplicity multiplicity, Class dataType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getDataType()`
    `boolean` | `isUnidirected(com.tinkerpop.blueprints.Direction dir)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.schema.RelationTypeDefinition

      `getCardinality, getMultiplicity`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.schema.SchemaElementDefinition

      `equals, getLongId, getName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyKeyDefinition

          public PropertyKeyDefinition(String name,
                               long id,
                               Cardinality cardinality,
                               Class dataType)

    - #### PropertyKeyDefinition

          public PropertyKeyDefinition(String name,
                               long id,
                               Multiplicity multiplicity,
                               Class dataType)

    - #### PropertyKeyDefinition

          public PropertyKeyDefinition(PropertyKey key)

  - ### Method Detail

    - #### getDataType

          public Class<?> getDataType()

    - #### isUnidirected

          public boolean isUnidirected(com.tinkerpop.blueprints.Direction dir)

      Specified by:
        `isUnidirected` in class `RelationTypeDefinition`

Copyright © 2012–2014. All rights reserved.